/*
 *	These may well need to be defined multiple times
 *	If this is required, #undef _EXTERN_H before second #include
 */
#if !defined(_EXTERN_H)
# define _EXTERN_H

#undef EXTERN
#undef INIT
#undef DO_INIT

#ifdef _EXTERN
# define EXTERN
# define INIT(i)	i
# define DO_INIT	1
#else
# define EXTERN		extern
# define INIT(x)
# define DO_INIT	0
#endif

/*
 * struct initialization can be done thus:
 * 
 * struct foo
 * {
 *	int a;
 *	int b;
 * }
 *	Foos[]
 * #if DO_INIT
 * = {
 * 	1, 2,
 * 	3, 4,
 * }
 * #endif
 * ;
 *
 */
#endif	/* _EXTERN_H */
